Rat (Release Audit Tool) results

The following document contains the results of Rat (Release Audit Tool).

*****************************************************
Summary
-------
Generated at: 2017-09-20T08:28:33+02:00
Notes: 1
Binaries: 37
Archives: 0
Standards: 23

Apache Licensed: 21
Generated Documents: 0

JavaDocs are generated and so license header is optional
Generated files do not required license headers

2 Unknown Licenses

*******************************

Unapproved licenses:

  src/site/resources/scripts/drop-artifacts.sh
  src/site/resources/scripts/release-artifacts.sh

*******************************

Archives:

*****************************************************
  Files with Apache License headers will be marked AL
  Binary files (which do not require AL headers) will be marked B
  Compressed archives will be marked A
  Notices, licenses etc will be marked N
  AL    build-site.sh
  AL    pom.xml
  N     readme.txt
  AL    settings-example.xml
  AL    src/changes/changes.xml
  B     src/docbook/resources/basic-controls.png
  B     src/docbook/resources/editor-simple.png
  B     src/docbook/resources/editor.png
  B     src/docbook/resources/list.png
  B     src/docbook/resources/progress.png
  B     src/docbook/resources/slider.png
  B     src/docbook/resources/theme-charlotteville.png
  B     src/docbook/resources/theme-richmond.png
  B     src/docbook/resources/theme-scarborough.png
  B     src/docbook/resources/theme-speyside.png
  AL    src/docbook/tobago-tutorial.xml
  AL    src/site/apt/api.apt
  AL    src/site/apt/compatibility.apt
  AL    src/site/apt/demo.apt
  AL    src/site/apt/download.apt
  AL    src/site/apt/getting-started.apt
  AL    src/site/apt/guide.apt
  AL    src/site/apt/howto-test.apt
  AL    src/site/apt/index.apt
  AL    src/site/apt/migration-1.5.apt
  AL    src/site/apt/migration-2.0.apt
  AL    src/site/apt/new-2.0.apt
  AL    src/site/apt/release-checklist.apt
  AL    src/site/fml/faq.fml
  AL    src/site/resources/doap_tobago.rdf
  B     src/site/resources/images/addressbook.png
  B     src/site/resources/images/demo.png
  B     src/site/resources/images/guide-addressbook-about.png
  B     src/site/resources/images/guide-addressbook-date.png
  B     src/site/resources/images/guide-addressbook-editor-simple.png
  B     src/site/resources/images/guide-addressbook-editor.png
  B     src/site/resources/images/guide-addressbook-list.png
  B     src/site/resources/images/guide-addressbook-logging.png
  B     src/site/resources/images/guide-addressbook-login.png
  B     src/site/resources/images/guide-addressbook-memory.png
  B     src/site/resources/images/guide-addressbook-menu.png
  B     src/site/resources/images/guide-addressbook-popup.png
  B     src/site/resources/images/guide-addressbook-upload.png
  B     src/site/resources/images/guide-basic-controls.png
  B     src/site/resources/images/guide-markup.png
  B     src/site/resources/images/guide-menu.png
  B     src/site/resources/images/guide-popup.png
  B     src/site/resources/images/guide-progress.png
  B     src/site/resources/images/guide-sheet.png
  B     src/site/resources/images/guide-simple-editor.png
  B     src/site/resources/images/guide-tab-group.png
  B     src/site/resources/images/guide-theme-charlotteville.png
  B     src/site/resources/images/guide-theme-richmond.png
  B     src/site/resources/images/guide-theme-scarborough.png
  B     src/site/resources/images/guide-theme-speyside.png
  B     src/site/resources/images/guide-toolbar.png
  B     src/site/resources/images/guide-upload.png
 !????? src/site/resources/scripts/drop-artifacts.sh
 !????? src/site/resources/scripts/release-artifacts.sh
  AL    src/site/site.xml
  AL    tobago-pmd-config.xml
 
*****************************************************
 Printing headers for files without AL header...
 
 
=======================================================================
==src/site/resources/scripts/drop-artifacts.sh
=======================================================================
#!/bin/sh
set -e

echo "Removing old download artifacts from the site."

if [ $# -ne 1 ]; then
    echo "Usage: $0 <version>"
    exit 1
fi

VERSION=$1

DIST_REPOSITORY=https://dist.apache.org/repos/dist/release/myfaces

svn rm -m "Cleaning up old release artifact ${VERSION} from dist server" \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.tar.gz \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.tar.gz.asc \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.tar.gz.md5 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.tar.gz.sha1 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.tar.gz.sha256 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.zip \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.zip.asc \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.zip.md5 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.zip.sha1 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-dist.zip.sha256 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.tar.gz \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.tar.gz.asc \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.tar.gz.md5 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.tar.gz.sha1 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.tar.gz.sha256 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.zip \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.zip.asc \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.zip.md5 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.zip.sha1 \
${DIST_REPOSITORY}/binaries/myfaces-tobago-${VERSION}-example.zip.sha256 \
${DIST_REPOSITORY}/source/myfaces-tobago-${VERSION}-source-release.zip \
${DIST_REPOSITORY}/source/myfaces-tobago-${VERSION}-source-release.zip.asc \
${DIST_REPOSITORY}/source/myfaces-tobago-${VERSION}-source-release.zip.md5 \
${DIST_REPOSITORY}/source/myfaces-tobago-${VERSION}-source-release.zip.sha1 \
${DIST_REPOSITORY}/source/myfaces-tobago-${VERSION}-source-release.zip.sha256

=======================================================================
==src/site/resources/scripts/release-artifacts.sh
=======================================================================
#!/bin/sh
set -e

echo "Copying the download artifacts from the repository to the site."

if [ $# -ne 1 ]; then
    echo "Usage: $0 <version>"
    exit 1
fi

VERSION=$1

MAVEN_REPOSITORY=https://repository.apache.org/content/repositories/releases
DIST_REPOSITORY=https://dist.apache.org/repos/dist/release/myfaces

# download file and hashes/signatures
function download() {
  DIR="$1"
  FILE_ON_REPO="$2"
  FILE="$3"

  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}"      -o ${FILE}
  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}.asc"  -o ${FILE}.asc
  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}.md5"  -o ${FILE}.md5
  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}.sha1" -o ${FILE}.sha1
}

# this performs check of the hashes (if this fails, something might went wrong absolutely)
function check() {
  FILE="$1"

  echo "Checking file ${FILE}: "

  md5 -q "${FILE}" > "${FILE}.md5.temp"
  if ! diff --ignore-all-space "${FILE}.md5" "${FILE}.md5.temp" ; then
    echo "Error: MD5 check failed!"
    exit -1
  fi
  echo "  MD5 hash okay"

  shasum -a 1 "${FILE}" | cut "-d " -f1 > "${FILE}.sha1.temp"
  if ! diff --ignore-all-space "${FILE}.sha1" "${FILE}.sha1.temp" ; then
    echo "Error: SHA1 check failed!"
    exit -1
  fi
  echo "  SHA1 hash okay"

  if ! gpg --verify "${FILE}.asc" ; then
    echo "Error: GPG check failed!"
    exit -1